<?php

require_once(__DIR__ . '/../src/require.php');

$page = max(1, (int)($_GET['page'] ?? 1));
$result = search_post([
	'page' => $page,
	'pagesize' => POSTS_PER_PAGE,
	'pager_prefix' => '?page=',
]);
$view['post_list'] = $result['post_list'];
$view['pager'] = $result['pager'];

output_html($view, ['header.php', 'post-form.php', 'timeline.php', 'post-list.php', 'pager.php']);
