<?php
// 利用者一覧
// TODO: できればユーザー詳細のURLは /public/user-list/index.php で生成したい。
?>
<h2>利用者一覧・Users (<?= sizeof($view['user_list'] ?? []) ?>)</h2>
<?php if (sizeof($view['user_list'] ?? []) <= 0): ?>
<ul>
<li>まだ利用者が居ません。
</ul>
<?php endif; ?>
<?php foreach ($view['user_list'] ?? [] as $user): ?>
<dl>
<dt><a href="<?= sitebase('user/?id=' . htmlspecialchars(urlencode($user['id']))) ?>"><?= htmlspecialchars($user['username']) ?></a></dt>
<dd>@<?= htmlspecialchars($user['id']) ?></dd>
</dl>
<?php endforeach; ?>
