<?php
// 初期化

if (BIBIS_DEBUG) {
	ini_set('display_errors', 1);
	ini_set('display_startup_errors', 1);
	error_reporting(E_ALL);
}

// 定数
define('GUEST_ID', '-');
define('NOREPLY_ID', '-');
define('GUESTNAME', 'GUEST');
define('DELETEDNAME', 'DELETED');
define('DELETEDTEXT', 'この書き込みは削除されました。');
define('ACCEPT_IMAGE_TYPE', ['image/png', 'image/jpeg', 'image/gif']);
define('SESSION_NAME', 'bibis');

// PHP の設定
date_default_timezone_set('UTC');
ini_set('zlib.output_compression', 1);
ini_set('session.use_strict_mode', 1);
if (OPEN_BASEDIR != '') {
	ini_set('open_basedir', OPEN_BASEDIR);
}

// セッション開始
session_name(SESSION_NAME);
session_start(['cookie_httponly' => true]);
set_csrf_token();
